Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis
Class Token

    java.lang.Object
      org.apache.lucene.analysis.Token

public final class Token
extends Object

A Token is an occurence of a term from the text of a field. It consists of a term's text, the start and end offset of the term in the text of the field, and a type string. The start and end offsets permit applications to re-associate a token with its source text, e.g., to display highlighted query terms in a document browser, or to show matching text fragments in a KWIC (KeyWord In Context) display, etc. The type is an interned string, assigned by a lexical analyzer (a.k.a. tokenizer), naming the lexical or syntactic class that the token belongs to. For example an end of sentence marker token might be implemented with type "eos". The default token type is "word".

Constructor Summary
`Token(String text, int start, int end)` Constructs a Token with the given term text, and start & end offsets.
`Token(String text, int start, int end, String typ)` Constructs a Token with the given text, start and end offsets, & type.

Method Summary
`int` | `endOffset()` Returns this Token's ending offset, one greater than the position of the last character corresponding to this token in the source text.
`int` | `getPositionIncrement()` Returns the position increment of this Token.
`void` | `setPositionIncrement(int positionIncrement)` Set the position increment.
`int` | `startOffset()` Returns this Token's starting offset, the position of the first character corresponding to this token in the source text.
`String` | `termText()` Returns the Token's term text.
`String` | `type()` Returns this Token's lexical type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Token

    public Token(String text,
                 int start,
                 int end)

  Constructs a Token with the given term text, and start & end offsets. The type defaults to "word."

### Token

    public Token(String text,
                 int start,
                 int end,
                 String typ)

  Constructs a Token with the given text, start and end offsets, & type.

Method Detail

### setPositionIncrement

    public void setPositionIncrement(int positionIncrement)

  Set the position increment. This determines the position of this token relative to the previous Token in a `TokenStream`, used in phrase searching.

  The default value is one.

  Some common uses for this are:

  - Set it to zero to put multiple terms in the same position. This is useful if, e.g., a word has multiple stems. Searches for phrases including either stem will match. In this case, all but the first stem's increment should be set to zero: the increment of the first instance should be one. Repeating a token with an increment of zero can also be used to boost the scores of matches on that token.
  - Set it to values greater than one to inhibit exact phrase matches. If, for example, one does not want phrases to match across removed stop words, then one could build a stop word filter that removes stop words and also sets the increment to the number of stop words removed before each non-stop word. Then exact phrase queries will only match when the terms occur with no intervening stop words.

  See Also:
    `TermPositions`

### getPositionIncrement

    public int getPositionIncrement()

  Returns the position increment of this Token.

  See Also:
    `setPositionIncrement(int)`

### termText

    public final String termText()

  Returns the Token's term text.

### startOffset

    public final int startOffset()

  Returns this Token's starting offset, the position of the first character corresponding to this token in the source text. Note that the difference between endOffset() and startOffset() may not be equal to termText.length(), as the term text may have been altered by a stemmer or some other filter.

### endOffset

    public final int endOffset()

  Returns this Token's ending offset, one greater than the position of the last character corresponding to this token in the source text.

### type

    public final String type()

  Returns this Token's lexical type. Defaults to "word".

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.